<?php
namespace NeoMotionBeta\NeoFreemius; if (!defined("ABSPATH")) { die("neoWP direct access not allowed"); }




function interface_freemius_pricing_page_slug_20250613()    { return \NeoMotionBeta\NeoGlobal\plugin_settings_page_slug() . "-pricing"; }
function interface_freemius_pricing_page_url_20260131()     { return menu_page_url(interface_freemius_pricing_page_slug_20250613(), display: false) ?: null; }
function interface_freemius_settings_section_url_20251005() { [$neo_pro_settings_section_url, $interface_ok] = \NeoMotionBeta\NeoGlobal\call_interface_func_implemented('\NeoMotionBeta\NeoSettings\interface_get_neo_settings_section_url_20260613')("neo-pro"); return $interface_ok ? $neo_pro_settings_section_url : null; }


\NeoMotionBeta\NeoGlobal\add_action_hook("admin_footer", function () {
    if (!(\NeoMotionBeta\NeoGlobal\query_param("page") === interface_freemius_pricing_page_slug_20250613())) { return; }
    $pricing_page_freemius_hint_url = \NeoMotionBeta\NeoGlobal\get_neo_pricing_page_freemius_hint_url(); /* phpcs:ignore PluginCheck.CodeAnalysis.Offloading.OffloadedContent */ /* The image must be loaded from our server to ensure that the displayed information is always consistent with the current data from the Freemius pricing table. This is necessary to prevent users from being misled by outdated or inconsistent content. */
    ?><script type="module">
        import { observeOnce } from "<?php echo esc_url(\NeoMotionBeta\NeoGlobal\plugin_url()) ?>/_global--observer.js";
        observeOnce(".fs-section.fs-section--packages", (packagesSectionNode) => {
            const newSectionNode = document.createElement("section");
            newSectionNode.classList.add("fs-section");
            newSectionNode.innerHTML = `<img src="<?php echo esc_url($pricing_page_freemius_hint_url); ?>" alt="Pricing Hint" style="width: 80%; max-width: 600px; margin: 0 auto; margin-bottom: 30px; display: block;">`;  
            packagesSectionNode.parentNode.insertBefore(newSectionNode, packagesSectionNode.nextSibling);
        });
    </script><?php
});


\NeoMotionBeta\NeoGlobal\add_action_hook("admin_footer", function () {
    if (!(\NeoMotionBeta\NeoGlobal\query_param("page") === interface_freemius_pricing_page_slug_20250613())) { return; }
    ?><style>.fs-testimonial>:is(header, section) { height: auto !important; }</style><?php 
});
